Index: /trunk/src/sys/arch/sbmips/sbmips/sb1250_icu.c
===================================================================
--- /trunk/src/sys/arch/sbmips/sbmips/sb1250_icu.c	(revision 151)
+++ /trunk/src/sys/arch/sbmips/sbmips/sb1250_icu.c	(revision 152)
@@ -1,3 +1,3 @@
-/* $NetBSD: sb1250_icu.c,v 1.9.36.14 2010/05/16 00:34:45 matt Exp $ */
+/* $NetBSD: sb1250_icu.c,v 1.9.36.15 2010/06/10 17:40:20 cliff Exp $ */
 
 /*
@@ -34,5 +34,5 @@
 
 #include <sys/cdefs.h>
-__KERNEL_RCSID(0, "$NetBSD: sb1250_icu.c,v 1.9.36.14 2010/05/16 00:34:45 matt Exp $");
+__KERNEL_RCSID(0, "$NetBSD: sb1250_icu.c,v 1.9.36.15 2010/06/10 17:40:20 cliff Exp $");
 
 #define	__INTR_PRIVATE
@@ -239,9 +239,15 @@
 
 void
+sb1250_ipl_map_init(void)
+{
+	ipl_sr_map = sb1250_ipl_sr_map;
+}
+
+void
 sb1250_icu_init(void)
 {
 	const uint64_t imr_all = 0xffffffffffffffffULL;
 
-	ipl_sr_map = sb1250_ipl_sr_map;
+	KASSERT(memcmp((const void *)&ipl_sr_map, (const void *)&sb1250_ipl_sr_map, sizeof(ipl_sr_map)) == 0);
 
 	/* zero out the list of used interrupts/lines */
Index: /trunk/src/sys/arch/sgimips/conf/GENERIC32_IP2x
===================================================================
--- /trunk/src/sys/arch/sgimips/conf/GENERIC32_IP2x	(revision 151)
+++ /trunk/src/sys/arch/sgimips/conf/GENERIC32_IP2x	(revision 152)
@@ -1,3 +1,3 @@
-#	$NetBSD: GENERIC32_IP2x,v 1.75 2008/08/15 15:17:18 tsutsui Exp $
+#	$NetBSD: GENERIC32_IP2x,v 1.75.8.1 2010/12/29 07:19:27 matt Exp $
 #
 # GENERIC32_IP2x machine description file
@@ -30,5 +30,5 @@
 options 	INCLUDE_CONFIG_FILE	# embed config file in kernel binary
 
-#ident		"GENERIC32-IP2x-$Revision: 1.75 $"
+#ident		"GENERIC32-IP2x-$Revision: 1.75.8.1 $"
 
 maxusers	32
@@ -246,4 +246,5 @@
 dsclock*	at hpc0 offset ?	# IP22 / 24
 haltwo*         at hpc0 offset ?	# IP22 / 24
+panel*		at hpc0 offset ?	# front panel buttons on Indy
 pckbc*		at hpc0 offset ?
 
Index: /trunk/src/sys/arch/sgimips/conf/majors.sgimips
===================================================================
--- /trunk/src/sys/arch/sgimips/conf/majors.sgimips	(revision 151)
+++ /trunk/src/sys/arch/sgimips/conf/majors.sgimips	(revision 152)
@@ -1,3 +1,3 @@
-#	$NetBSD: majors.sgimips,v 1.20 2007/12/31 15:32:05 ad Exp $
+#	$NetBSD: majors.sgimips,v 1.20.24.1 2010/12/29 07:19:27 matt Exp $
 #
 # Device majors for sgimips
@@ -68,5 +68,5 @@
 device-major	ksyms		char 77			ksyms
 device-major	lpt		char 78			lpt
-
+device-major    sysmon          char 79                 sysmon_envsys | sysmon_wdog
 device-major	nsmb		char 98			nsmb
 
Index: /trunk/src/sys/arch/sgimips/dev/crime.c
===================================================================
--- /trunk/src/sys/arch/sgimips/dev/crime.c	(revision 151)
+++ /trunk/src/sys/arch/sgimips/dev/crime.c	(revision 152)
@@ -1,3 +1,3 @@
-/*	$NetBSD: crime.c,v 1.33.12.1 2010/01/20 09:04:31 matt Exp $	*/
+/*	$NetBSD: crime.c,v 1.33.12.2 2010/12/29 07:15:47 matt Exp $	*/
 
 /*
@@ -39,5 +39,5 @@
 
 #include <sys/cdefs.h>
-__KERNEL_RCSID(0, "$NetBSD: crime.c,v 1.33.12.1 2010/01/20 09:04:31 matt Exp $");
+__KERNEL_RCSID(0, "$NetBSD: crime.c,v 1.33.12.2 2010/12/29 07:15:47 matt Exp $");
 
 #include <sys/param.h>
@@ -67,5 +67,5 @@
 void		crime_watchdog_reset(void);
 void		crime_watchdog_disable(void);
-void		crime_intr(uint32_t, uint32_t, uint32_t, uint32_t);
+void		crime_intr(vaddr_t, uint32_t, uint32_t);
 void		*crime_intr_establish(int, int, int (*)(void *), void *);
 
@@ -210,5 +210,5 @@
 
 void
-crime_intr(uint32_t status, uint32_t cause, uint32_t pc, uint32_t ipending)
+crime_intr(vaddr_t pc, uint32_t status, uint32_t ipending)
 {
 	uint64_t crime_intmask;
Index: /trunk/src/sys/arch/sgimips/dev/imc.c
===================================================================
--- /trunk/src/sys/arch/sgimips/dev/imc.c	(revision 151)
+++ /trunk/src/sys/arch/sgimips/dev/imc.c	(revision 152)
@@ -1,3 +1,3 @@
-/*	$NetBSD: imc.c,v 1.29 2008/08/23 17:25:54 tsutsui Exp $	*/
+/*	$NetBSD: imc.c,v 1.29.12.1 2010/12/29 07:15:47 matt Exp $	*/
 
 /*
@@ -29,5 +29,5 @@
 
 #include <sys/cdefs.h>
-__KERNEL_RCSID(0, "$NetBSD: imc.c,v 1.29 2008/08/23 17:25:54 tsutsui Exp $");
+__KERNEL_RCSID(0, "$NetBSD: imc.c,v 1.29.12.1 2010/12/29 07:15:47 matt Exp $");
 
 #include <sys/param.h>
@@ -62,5 +62,5 @@
 static int	imc_print(void *, const char *);
 static void	imc_bus_reset(void);
-static void	imc_bus_error(uint32_t, uint32_t, uint32_t, uint32_t);
+static void	imc_bus_error(vaddr_t, uint32_t, uint32_t);
 static void	imc_watchdog_reset(void);
 static void	imc_watchdog_disable(void);
@@ -264,5 +264,5 @@
 
 static void
-imc_bus_error(uint32_t status, uint32_t cause, uint32_t pc, uint32_t ipending)
+imc_bus_error(vaddr_t pc, uint32_t status, uint32_t ipending)
 {
 
Index: /trunk/src/sys/arch/sgimips/dev/int.c
===================================================================
--- /trunk/src/sys/arch/sgimips/dev/int.c	(revision 151)
+++ /trunk/src/sys/arch/sgimips/dev/int.c	(revision 152)
@@ -1,3 +1,3 @@
-/*	$NetBSD: int.c,v 1.19.12.1 2009/09/10 01:51:31 matt Exp $	*/
+/*	$NetBSD: int.c,v 1.19.12.2 2010/12/29 07:15:47 matt Exp $	*/
 
 /*
@@ -33,6 +33,7 @@
 
 #include <sys/cdefs.h>
-__KERNEL_RCSID(0, "$NetBSD: int.c,v 1.19.12.1 2009/09/10 01:51:31 matt Exp $");
-
+__KERNEL_RCSID(0, "$NetBSD: int.c,v 1.19.12.2 2010/12/29 07:15:47 matt Exp $");
+
+#define __INTR_PRIVATE
 #include "opt_cputype.h"
 
@@ -66,12 +67,12 @@
 static int	int_match(struct device *, struct cfdata *, void *);
 static void	int_attach(struct device *, struct device *, void *);
-static void 	int_local0_intr(uint32_t, uint32_t, uint32_t, uint32_t);
-static void	int_local1_intr(uint32_t, uint32_t, uint32_t, uint32_t);
+static void 	int_local0_intr(vaddr_t, uint32_t, uint32_t);
+static void	int_local1_intr(vaddr_t, uint32_t, uint32_t);
 static int 	int_mappable_intr(void *);
 static void    *int_intr_establish(int, int, int (*)(void *), void *);
 static void	int_8254_cal(void);
 static u_int	int_8254_get_timecount(struct timecounter *);
-static void	int_8254_intr0(uint32_t, uint32_t, uint32_t, uint32_t);
-static void	int_8254_intr1(uint32_t, uint32_t, uint32_t, uint32_t);
+static void	int_8254_intr0(vaddr_t, uint32_t, uint32_t);
+static void	int_8254_intr1(vaddr_t, uint32_t, uint32_t);
 
 #ifdef MIPS3
@@ -235,5 +236,5 @@
 
 void
-int_local0_intr(uint32_t status, uint32_t cause, uint32_t pc, uint32_t ipending)
+int_local0_intr(vaddr_t pc, uint32_t status, uint32_t ipending)
 {
 	int i;
@@ -261,5 +262,5 @@
 
 void
-int_local1_intr(uint32_t status, uint32_t cause, uint32_t pc, uint32_t ipending)
+int_local1_intr(vaddr_t pc, uint32_t status, uint32_t ipending)
 {
 	int i;
@@ -459,5 +460,5 @@
 
 static void
-int_8254_intr0(uint32_t status, uint32_t cause, uint32_t pc, uint32_t ipending)
+int_8254_intr0(vaddr_t pc, uint32_t status, uint32_t ipending)
 {
 	struct clockframe cf;
@@ -473,5 +474,5 @@
 
 static void
-int_8254_intr1(uint32_t status, uint32_t cause, uint32_t pc, uint32_t ipending)
+int_8254_intr1(vaddr_t pc, uint32_t status, uint32_t ipending)
 {
 	int s;
Index: /trunk/src/sys/arch/sgimips/dev/pic.c
===================================================================
--- /trunk/src/sys/arch/sgimips/dev/pic.c	(revision 151)
+++ /trunk/src/sys/arch/sgimips/dev/pic.c	(revision 152)
@@ -1,3 +1,3 @@
-/*	$NetBSD: pic.c,v 1.13 2008/08/23 17:25:54 tsutsui Exp $	 */
+/*	$NetBSD: pic.c,v 1.13.12.1 2010/12/29 07:15:47 matt Exp $	 */
 
 /*
@@ -29,5 +29,5 @@
 
 #include <sys/cdefs.h>
-__KERNEL_RCSID(0, "$NetBSD: pic.c,v 1.13 2008/08/23 17:25:54 tsutsui Exp $");
+__KERNEL_RCSID(0, "$NetBSD: pic.c,v 1.13.12.1 2010/12/29 07:15:47 matt Exp $");
 
 #include <sys/param.h>
@@ -60,5 +60,5 @@
 static int      pic_print(void *, const char *);
 static void	pic_bus_reset(void);
-static void	pic_bus_error(uint32_t, uint32_t, uint32_t, uint32_t);
+static void	pic_bus_error(vaddr_t, uint32_t, uint32_t);
 static void	pic_watchdog_enable(void);
 static void	pic_watchdog_disable(void);
@@ -213,5 +213,5 @@
 
 static void
-pic_bus_error(uint32_t status, uint32_t cause, uint32_t pc, uint32_t ipending)
+pic_bus_error(vaddr_t pc, uint32_t status, uint32_t ipending)
 {
 
Index: /trunk/src/sys/arch/sgimips/gio/files.gio
===================================================================
--- /trunk/src/sys/arch/sgimips/gio/files.gio	(revision 151)
+++ /trunk/src/sys/arch/sgimips/gio/files.gio	(revision 152)
@@ -1,3 +1,3 @@
-# $NetBSD: files.gio,v 1.9 2006/12/29 00:42:01 rumble Exp $
+# $NetBSD: files.gio,v 1.9.66.1 2010/12/29 07:19:28 matt Exp $
 
 device	gio {[slot = -1], [addr = -1]}
@@ -13,5 +13,5 @@
 
 # XL graphics
-device	newport: wsemuldisplaydev
+device	newport: wsemuldisplaydev, vcons, rasops8
 attach	newport at gio
 file	arch/sgimips/gio/newport.c	newport needs-flag
